{
  pkgs,
  config,
  lib,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;
  cfg = config.my.zed;
in {
  options.my.zed = {
    enable = mkEnableOption "zed";
  };

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      # Nix Language Support
      alejandra
      nil

      unstable.zed-editor-fhs
    ];
  };
}
